io.agora.rtc.apm

## Class BghvsConfig

- java.lang.Object
- - io.agora.rtc.apm.BghvsConfig

-     public class BghvsConfig
      extends java.lang.Object

  Background Human Voice Suppression (BGHVS) configuration. Used for suppressing background human voices in audio processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `enabled` Enable or disable BGHVS Default: true (enabled)
    `private double` | `vadThr` VAD (Voice Activity Detection) threshold Default: 0.8 Range: 0.0 - 1.0

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BghvsConfig()` Default constructor for BghvsConfig.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getVadThr()` Gets the VAD threshold.
    `boolean` | `isEnabled()` Checks if BGHVS is enabled.
    `void` | `setEnabled(boolean enabled)` Sets whether BGHVS is enabled.
    `void` | `setVadThr(double vadThr)` Sets the VAD threshold.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          private boolean enabled

      Enable or disable BGHVS Default: true (enabled)

    - #### vadThr

          private double vadThr

      VAD (Voice Activity Detection) threshold Default: 0.8 Range: 0.0 - 1.0

  - ### Constructor Detail

    - #### BghvsConfig

          public BghvsConfig()

      Default constructor for BghvsConfig.

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Checks if BGHVS is enabled.
      Returns:
        true if enabled, false otherwise

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Sets whether BGHVS is enabled.
      Parameters:
        `enabled` - true to enable, false to disable

    - #### getVadThr

          public double getVadThr()

      Gets the VAD threshold.
      Returns:
        VAD threshold

    - #### setVadThr

          public void setVadThr(double vadThr)

      Sets the VAD threshold.
      Parameters:
        `vadThr` - VAD threshold (range: 0.0 - 1.0)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`